Summary: Centralized tool for Fedora configuration utilities
Name: system-config-control
Version: 1.0
Release: 6%{?dist}
URL: http://www.indianoss.org/
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Source0: http://download.sourceforge.net/indianoss/%{name}-%{version}.tar.bz2
BuildRequires: desktop-file-utils, gettext, intltool
Requires: usermode, firstboot

%description
System-config-control provides an organized and centralized interface to all of
StartCom's configuration utilities. It also hooks into firstboot, allowing these
tools to be run after initial installation.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make INSTROOT=$RPM_BUILD_ROOT install
desktop-file-install --delete-original          \
  --vendor startcom                             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --mode 0644                                   \
  --add-category X-StartCom                     \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/firstboot/modules/*
%{_datadir}/applications/*.desktop
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/%{name}

%changelog
* Wed Apr 05 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Jan 27 2006 Ankit Patel <ankit644@yahoo.com> 1.0-6
- Modified the GUI.
- This is done by Tejas Dinkar.

* Tue Jan 17 2006 Ankit Patel <ankit644@yahoo.com> 1.0-4
- Added polish translations done by "Piotr \"Raven\" Drąg" <raven@pmail.pl>.
- Added icons in the tabs of the categories.

* Fri Oct 14 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-3
- cleanups for Fedora

* Mon Oct  3 2005 Ankit Patel <ankit644@yahoo.com>
- Initial build.
